Permalink
Browse files

Update eslint-config-stylelint to the latest version ๐Ÿš€ (#54)

* chore(package): update eslint-config-stylelint to version 6.0.0

https://greenkeeper.io/

* Update eslint config to reflect changes in eslint-config-stylelint

* Fix lint warnings
  • Loading branch information...
1 parent dd4f45a commit 16820a141581ca843da8967ff1b272855a9a25d4 @greenkeeper greenkeeper committed with jeddy3 Dec 6, 2016
Showing with 8 additions and 7 deletions.
  1. +4 โˆ’2 __tests__/index.js
  2. +2 โˆ’0 index.js
  3. +2 โˆ’5 package.json
View
@@ -1,3 +1,5 @@
+"use strict"
+
const config = require("../")
const stylelint = require("stylelint")
@@ -87,7 +89,7 @@ describe("flags no warnings with valid css", () => {
beforeEach(() => {
result = stylelint.lint({
code: validCss,
- config: config,
+ config,
})
})
@@ -110,7 +112,7 @@ describe("flags warnings with invalid css", () => {
beforeEach(() => {
result = stylelint.lint({
code: invalidCss,
- config: config,
+ config,
})
})
View
@@ -1,3 +1,5 @@
+"use strict"
+
module.exports = {
"rules": {
"at-rule-empty-line-before": [ "always", {
View
@@ -19,7 +19,7 @@
],
"devDependencies": {
"eslint": "^3.1.1",
- "eslint-config-stylelint": "^5.0.0",
+ "eslint-config-stylelint": "^6.0.0",
"jest": "^17.0.3",
"npm-run-all": "^3.0.0",
"npmpub": "^3.0.1",
@@ -43,10 +43,7 @@
"eslintConfig": {
"extends": [
"stylelint"
- ],
- "env": {
- "jest": true
- }
+ ]
},
"jest": {
"testEnvironment": "node",

0 comments on commit 16820a1

Please sign in to comment.